
%define oname	Ardour
%define maj	%{expand:%(echo "%{version}" | cut -d. -f1)}
Name:		ardour
Version:	8.4.0
Release:	%mkrel 1
Summary:	Professional multi-track audio recording application
Group:		Sound
License:	GPLv2+
URL:		http://ardour.org/
Source0:	https://community.ardour.org/src/%{oname}-%{version}.tar.xz

BuildRequires:	dmalloc
BuildRequires:	doxygen
BuildRequires:	gettext
BuildRequires:	graphviz
BuildRequires:	xdg-utils
BuildRequires:	desktop-file-utils 
BuildRequires:	lib64alsa2-devel 
BuildRequires:	lib64archive-devel
BuildRequires:	lib64atk1.0-devel 
BuildRequires:	lib64atkmm1.6-devel
BuildRequires:	lib64aubio-devel 
BuildRequires:	lib64bluez-devel 
BuildRequires:	lib64boost-devel 
BuildRequires:	lib64cairo-devel 
BuildRequires:	lib64cairomm1.0-devel
BuildRequires:	lib64curl-devel 
BuildRequires:	lib64cwiid-devel
BuildRequires:	lib64fftw-devel
BuildRequires:	lib64fontconfig-devel
BuildRequires:	lib64freetype6-devel 
BuildRequires:	lib64gdk_pixbuf2.0_0-devel
BuildRequires:	lib64glib2.0-devel
BuildRequires:	lib64glibmm2.4-devel 
BuildRequires:	lib64gtk+2.0_0-devel 
BuildRequires:	lib64gtkmm2.4-devel
BuildRequires:	lib64jack-devel 
BuildRequires:	lib64lilv-devel
BuildRequires:	lib64lo-devel 
BuildRequires:	lib64lrdf-devel
BuildRequires:	lib64pango1.0-devel 
BuildRequires:	lib64pangomm2.4-devel 
BuildRequires:	lib64raptor2-devel
BuildRequires:	lib64readline-devel 
BuildRequires:  pkgconfig(rubberband)
BuildRequires:	lib64samplerate-devel
BuildRequires:	lib64sigc++3.0-devel 
BuildRequires:	lib64sndfile-devel
BuildRequires:	lib64suil-devel 
BuildRequires:	lib64taglib-devel 
BuildRequires:	lib64usb1.0-devel
BuildRequires:	lib64vamp-plugin-sdk-devel
BuildRequires:	lib64x11-devel 
BuildRequires:	lib64xml2-devel
BuildRequires:	lv2-devel
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	itstool > 2.0.0
BuildRequires:	hidapi-devel
BuildRequires:	pkgconfig(ltc)
BuildRequires:	pkgconfig(libwebsockets)
BuildRequires:	pkgconfig(cppunit)

Requires:	jackit

Obsoletes: ardour < %version
Obsoletes: ardour3
Obsoletes: ardour4
Obsoletes: ardour5

%description
Ardour 8.0 & 8.1 (hotfix) released

Ardour is a digital audio workstation. You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video sound tracks, or
just experiment with new ideas about music and sound.

Ardour capabilities include: multi channel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/buses/plugins, time-code synchronization, and hardware control from
surfaces like the Mackie Control Universal.

Ardour 6.3 is now available. This is mostly a maintenance release, but the
new Loudness Analysis feature will be very useful to some users. The usual
steady drip-drip of bug fixes continues, and thanks to Ayan Shafqat, we now
have up to date super-optimized metering code for Linux on both x86(64) and
ARM platforms
(Metering is the most computationally expensive thing that Ardour itself does).

Included Plugins
    Polyphony count for a-fluid (SF2 player) increased .
    Add crossfade and A/B plugins.


%prep
%setup -q -n %{oname}-%{version}

%autopatch -p1

sed -e '8iexport GTK2_RC_FILES=/dev/null' -i gtk2_ardour/ardour.sh.in

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"

export LINKFLAGS="$LDFLAGS"
   
./waf configure --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --configdir=%{_sysconfdir} \
    --program-name=Ardour \
    --cxx11 \
    --docs \
    --with-backends="jack,alsa,pulseaudio,dummy " \
	--libjack=weak \
	--freedesktop \
    --optimize \
    --ptformat \
 --internal-shared-libs \
 --no-windows-vst \
    --no-phone-home

./waf build 

./waf i18n_mo

%install
./waf install --destdir=%{buildroot}

# Symlink icons and mimetypes into the right folders
install -d -m 0755 %{buildroot}%{_iconsdir}

for i in 16 22 32 48; do
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes
cp -f %{buildroot}%{_datadir}/%{name}%{maj}/icons/application-x-%{name}_${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/application-x-%{name}%{maj}.png
cp -f %{buildroot}%{_datadir}/%{name}%{maj}/resources/Ardour-icon_${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}%{maj}.png
done

# disable splash interfering dialogs on startup : option: -n
sed -i 's/Exec=ardour7/Exec=ardour7 -n/g' %{buildroot}%{_datadir}/applications/ardour8.desktop

%files
%{_bindir}
%{_datadir}
%{_libdir}
%dir %{_sysconfdir}/%{name}%{maj}
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/%{name}.menus
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/clearlooks.rc
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/clearlooks.ardoursans.rc
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/default_ui_config
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/system_config
%config(noreplace) %{_sysconfdir}/%{name}%{maj}/ardour.keys

%changelog
* Sun Mar 17 2024 tex - 8.4.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 8.2.0-1pclos2023
- new version

* Sun Dec 10 2023 onkelho <oh.quait at gmail.com> - 8.1.0-2quait2023
- rebuild updates also drobillas lilv+sratom....
- Updating a038ac1fb6..f191d8ba94
- Fast-forward
